<script lang="ts">
  import Dot from "./Dot.svg.svelte";
  import UserCard from "./UserCard.svelte";
  import { EArea } from "../enums/EArea";
  import { areaStore } from '../stores';

  let area: EArea;

  areaStore.subscribe(value => area = value);
</script>

<section class="grid gap-12 sm:gap-14 lg:gap-16 p-16 sm:p-20 lg:p-24 xl:p-28 2xl:p-32">
  <header class="grid justify-items-center">
    <h1 class="text-5xl font-bold flex items-end leading-[.72]">
      Команда<Dot {area} />
    </h1>
  </header>
  <article class="grid lg:grid-cols-3 gap-10 sm:gap-16 lg:gap-20 xl:gap-24 2xl:gap-32">
    <UserCard />
    <UserCard />
    <UserCard />
  </article>

</section>